%define drupaldir %{_datadir}/drupal
Name: drupal-views
Version:  6.x.2.2
Release:  2%{?dist}
Summary: Provides a method for site designers to control content presentation

Group: Applications/Publishing
License: GPLv2
URL: http://drupal.org/project/views
Source0: http://ftp.drupal.org/files/projects/views-6.x-2.2.tar.gz
Source1: drupal-views-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal >= 6.0

%description
The views module provides a flexible method for Drupal site designers
to control how lists of content (nodes) are presented. Traditionally,
Drupal has hard-coded most of this, particularly in how taxonomy and
tracker lists are formatted.

This tool is essentially a smart query builder that, given enough 
information, can build the proper query, execute it, and display the 
results. It has four modes, plus a special mode, and provides an 
impressive amount of functionality from these modes.

%prep

%setup -qn views

install -p -m 0644 %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/views
cp -pr * %{buildroot}%{drupaldir}/modules/views

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt drupal-views-fedora-README.txt
%{drupaldir}/modules/views
%exclude %{drupaldir}/modules/views/CHANGELOG.txt
%exclude %{drupaldir}/modules/views/LICENSE.txt
%exclude %{drupaldir}/modules/views/README.txt
%exclude %{drupaldir}/modules/views/drupal-views-fedora-README.txt

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-1
- New upstream, fixes SA-2008-075.

* Tue Nov 04 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.1-1
- New upstream.

* Mon Aug 11 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.1.beta4
- Review fixes.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.beta4
- Updated for drupal 6.x.

* Wed Oct 24 2007 Jon Ciesla <limb@jcomserv.net> - 5.x.1.6-1
- Initial packaging.
